function queryClaimForPid(){
	var channelType = $("#channelType").val();
	var claimNo = $("#claimno").val();
	if($("#claimno").val() == $("#claimno").attr("placeholder")){
		claimNo='';
	}
	
	
	if(claimNo == null || claimNo == ""){
		alert("查询条件不能为空！");
		return false;
	}else if(claimNo !='' && claimNo.length!=15){
		alert("赔案号长度必须为15位");
		return false;
		
	}
	SkipByPost("queryClmtask.do",{claimno:claimNo,channelType:channelType});
	//$("#formId").submit();	
	
	
	
	
}


function queryClaimForMany(){
	var reportNo = $("#reportNo").val();
	var registerNo = $("#registerNo").val();
	var channelType = $("#channelType").val();
	var endDateFrom = $("#endDateFrom").val();
	var endDateTo = $("#endDateTo").val();
	var pid1 = $("#pid1").val();
	var claimNo = $("#claimNo").val();
	
	if(pid1=='' && claimNo=='' && endDateFrom=='' && endDateTo ==''&& reportNo==''&& registerNo==''){
		alert("请至少输入一个查询条件！！");
		
	}else if( endDateFrom!='' && endDateTo ==''){
		
		 alert("请输入终止结案查询时间！！");
	}else if(endDateFrom =='' && endDateTo !=''){
		
		alert("请输入起始结案查询时间！！");
	}else if(claimNo!='' && claimNo.length!=15){
		alert("赔案号长度必须为15位");
		return false;
	}else if(reportNo!='' && registerNo!=''){
		alert("寿险报案号和产险立案号只能输入一个，请根据勾选险种正确输入！");
		return false;
	}else if(pid1!=''||claimNo.length==15||(endDateFrom !='' && endDateTo !='')||reportNo!=''||registerNo!=''){
		
			//document.forms["formId2"].submit();	
		SkipByPost("clmtaskAdvancedQuery.do",{pid1:pid1,claimNo:claimNo,endDateFrom:endDateFrom,endDateTo:endDateTo,channelType:channelType,reportNo:reportNo,registerNo:registerNo});
		
	}	
}

function skip(claimNo){

	$("#claimProcess").html("");
	
	$.ajax({
		type: "post",  
		url : "clmtaskinfoQuery.do", 
		data:{"claimNo":claimNo},
		
		success:function(data){
			
			$("#cus_claimNo").html(claimNo);
			$("#cus_pid").html(data.clmTaskInfo.pid);
			$("#name").html(data.clmTaskInfo.name);
			$("#accidentDate").html(data.clmTaskInfo.accidentDate);
			$("#realClaimAmt").html(data.clmTaskInfo.realClaimAmt);		
			$("#accidentCode").html($("#accidentCode_" + data.clmTaskInfo.accidentCode).html());
			$("#claimAccType").html($("#clmAcc_" + data.clmTaskInfo.claimAccType).html());
			$("#isSingleAudit").html(data.clmTaskInfo.isSingleAudit);
			$("#currentOperater").html(data.clmTaskInfo.currentOperater);
			$("#currentOperaterName").html(data.clmTaskInfo.currentOperaterName);
			if(data.clmTaskMP.length>0){
				$("#claimProcess").html(data.clmTaskMP[0].claimProcess);
			}
			/*var clmTaskMPHtml="";
			for(var i= 0; i < data.clmTaskMP.length; i++){
				
				var t = data.clmTaskMP[i];
				clmTaskMPHtml+="<tr><td width=\"30%\">"+isNull(t.operateType)+"</td>";
				clmTaskMPHtml+="<td width=\"40%\">"+isNull(t.operateDate)+"</td>";
				clmTaskMPHtml+="<td>"+isNull(t.operateBegDate)+"</td>";
				clmTaskMPHtml+="<td>"+isNull(t.operateEndDate)+"</td>";
				clmTaskMPHtml+="<td width=\"30%\">"+isNull(t.operator)+"</td></tr>";

				
			}
			$("#clmTaskMP").html(clmTaskMPHtml);*/
			
			
			var clmTaskMPHtml="";
			for(var i= 0; i < data.clmtrack.length; i++){
				
				var t = data.clmtrack[i];
				if(t.operateType=='审核' && data.uptoOperatorList.length>0){
					clmTaskMPHtml+="<tr><td width=\"20%\" onclick=\"showViewUptoFn()\">"+isNull(t.operateType)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operateBegDate)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operateEndDate)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operator)+"</td></tr>";
				}else{
					clmTaskMPHtml+="<tr><td width=\"20%\">"+isNull(t.operateType)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operateBegDate)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operateEndDate)+"</td>";
					clmTaskMPHtml+="<td width=\"20%\">"+isNull(t.operator)+"</td></tr>";
				}
				if(t.operateType=='审核' && data.uptoOperatorList.length>0){
					var tr="";
					for ( var j = 0; j <  data.uptoOperatorList.length; j++) {
						var temp=data.uptoOperatorList[j];
						tr+="<tr><td width=\"20%\">"+isNull(temp.operateType)+"</td>" +
								"<td width=\"20%\">"+isNull(temp.operateBegDate)+"</td>"+
								"<td width=\"20%\">"+isNull(temp.operateEndDate)+"</td>"+
								"<td width=\"20%\">"+isNull(temp.operator)+"</td></tr>";
					}
					clmTaskMPHtml+="<tr  style=\"display:none;\" id=\"uptoViewTr\"><td width=\"80%\" colspan=\"4\">" +
							"<table width=\"100%\" id=\"uptoViewTb\">"+tr+"</table></td></tr>";
				}
				
			}
			$("#clmTaskMP").html(clmTaskMPHtml);
			
			
		},
		error:function(){
			alert("sorry!");
		}
		
		
	});

	
}


function isNull(a){
	
	if(a==null){
		return "";
	}
	
	return a;
}



//回车查询
function enterQuery(){
	 var event = window.event||arguments.callee.caller.arguments[0];
	 if(event.keyCode==13){
		 queryClaimForPid();
	 }
}

//单选

$(".radio_yes,.radio_no").click(function(){ 
	  
	  if($(this).is(".radio_yes")){
	    
		$(this).removeClass("radio_yes");
		$(this).addClass("radio_no"); 
	  
	  }
	  
	  else{
			var obj=  $(".radio_yes");
			obj.removeClass("radio_yes");          
			obj.addClass("radio_no"); 
			$(this).removeClass("radio_no");
	        $(this).addClass("radio_yes");
	        $("#channelType").val($(this).attr("channelValue"));
	}
    
	  
});

function showViewUptoFn(){
	if($("#uptoViewTr").css("display")=="none"){
		$("#uptoViewTr").css("display","");
	}else{
		$("#uptoViewTr").css("display","none");
	}
	
}